package com.sooka.module.web.cms.service;

import com.github.pagehelper.PageInfo;
import com.sooka.common.base.BaseService;
import com.sooka.module.web.cms.vo.TCmsEnterpriseHmdVo;
import com.sooka.module.web.cms.vo.TCmsEnterpriseVo;
import com.sooka.mybatis.model.TCmsEnterprise;
import com.sooka.mybatis.model.TCmsEnterpriseHmd;
import com.sooka.mybatis.model.TCmsModelFiled;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

/**
 * Description:内容
 *
 *
 * @create 2017-04-18
 **/
public interface EnterpriseHmdService extends BaseService<TCmsEnterpriseHmd,Long> {

    PageInfo<TCmsEnterpriseHmd> page(Integer pageNumber, Integer pageSize, TCmsEnterpriseHmdVo pojo);

    Map findContentByContentIdAndTableName(Long contentId, String tableName);
    /*回收站*/
    String recovery(Long[] ids);

    String save(TCmsEnterpriseHmd content, String tableName, Map<String, Object> formParam, String[] tag) throws SQLException;

    String update(TCmsEnterpriseHmd content, String tableName, List<TCmsModelFiled> cmsModelFileds, Map<String, Object> formParam, String[] tag) throws SQLException;

    PageInfo<Map> findContentListBySiteIdAndCategoryId(Integer siteId,
                                                       Long categoryId,
                                                       Integer orderBy,
                                                       Integer pageNumber,
                                                       Integer pageSize,
                                                       Integer hasChild,
                                                       Integer isHot,
                                                       Integer isPic,
                                                       Integer isRecommend);

    PageInfo<Map> findTopicContentListBySiteIdAndCategoryIds(Integer siteId,
                                                             Long[] categoryIds,
                                                             Integer orderBy,
                                                             Integer size,
                                                             Integer isHot,
                                                             Integer isPic,
                                                             Integer isRecommend);

    PageInfo<Map> page(Integer pageNumber, Integer siteId, Long categoryId);

    PageInfo<TCmsEnterpriseHmd>  findContentListByModelFiledValue(int pageNumber, Long categoryId, String tableName, Map<String, Object> param);

    void viewUpdate(Long contentId);

    String findAllMonthCount();

    Integer AllCount();

    List<TCmsEnterpriseHmd> findByCategoryId(Long categoryId);
}
