package com.sooka.module.web.cms.service;

import com.github.pagehelper.PageInfo;
import com.sooka.common.base.BaseService;
import com.sooka.module.web.cms.vo.TCmsEnterpriseSxhmdVo;
import com.sooka.module.web.cms.vo.TCmsEnterpriseVo;
import com.sooka.mybatis.model.TCmsEnterprise;
import com.sooka.mybatis.model.TCmsEnterpriseSxhmd;
import com.sooka.mybatis.model.TCmsEnterpriseXzcf;
import com.sooka.mybatis.model.TCmsEnterpriseSxhmd;
import com.sooka.mybatis.model.TCmsModelFiled;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

/**
 * Description:内容
 *
 *
 * @create 2017-04-18
 **/
public interface EnterpriseSxhmdService extends BaseService<TCmsEnterpriseSxhmd,Long> {

    PageInfo<TCmsEnterpriseSxhmd> page(Integer pageNumber, Integer pageSize, TCmsEnterpriseSxhmdVo pojo);

    Map findContentByContentIdAndTableName(Long contentId, String tableName);
    /*回收站*/
    String recovery(Long[] ids);

    String save(TCmsEnterpriseSxhmd content, String tableName, Map<String, Object> formParam, String[] tag) throws SQLException;

    String update(TCmsEnterpriseSxhmd content, String tableName, List<TCmsModelFiled> cmsModelFileds, Map<String, Object> formParam, String[] tag) throws SQLException;

    PageInfo<Map> findContentListBySiteIdAndCategoryId(Integer siteId,
                                                       Long categoryId,
                                                       Integer orderBy,
                                                       Integer pageNumber,
                                                       Integer pageSize,
                                                       Integer hasChild,
                                                       Integer isHot,
                                                       Integer isPic,
                                                       Integer isRecommend);

    PageInfo<Map> findTopicContentListBySiteIdAndCategoryIds(Integer siteId,
                                                             Long[] categoryIds,
                                                             Integer orderBy,
                                                             Integer size,
                                                             Integer isHot,
                                                             Integer isPic,
                                                             Integer isRecommend);

    PageInfo<Map> page(Integer pageNumber, Integer siteId, Long categoryId);

    PageInfo<TCmsEnterpriseSxhmd>  findContentListByModelFiledValue(int pageNumber, Long categoryId, String tableName, Map<String, Object> param);

    void viewUpdate(Long contentId);

    String findAllMonthCount();

    Integer AllCount();

    List<TCmsEnterpriseSxhmd> findByCategoryId(Long categoryId);

    PageInfo<TCmsEnterpriseSxhmd> selectEnterprise(Integer pageNumber, Integer pageSize, String keyword);
    
    List<TCmsEnterpriseSxhmd> selectByEnterpriseId(Long enterpriseId);
}
