package com.sooka.module.web.cms.service;

import com.github.pagehelper.PageInfo;
import com.sooka.common.base.BaseService;
import com.sooka.module.web.system.vo.UserVo;
import com.sooka.mybatis.model.TCmsMail;

/**
 * 
 * @author Administrator
 *
 */
public interface MailService extends BaseService<TCmsMail,Integer> {
	
	/**
	 * 查询收件箱内容
	 */
	PageInfo<TCmsMail> pageInbox(Integer pageNumber, Integer pageSize, Integer receiverId, TCmsMail pojo);
	
	/**
	 * 查询发件箱内容
	 */
	PageInfo<TCmsMail> pageOutbox(Integer pageNumber, Integer pageSize, Integer senderId, TCmsMail pojo);
	
	String saveList(String receiverIds, UserVo userVo, TCmsMail mail, String content, String file);
	
	TCmsMail findByMailId(Integer mailId, String flag);
	
	Integer AllCount(Integer userId);
	
	String deleteMails(Integer[] ids, Integer flag);
    
}
