package com.sooka.mybatis.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.sooka.mybatis.model.TCmsMail;
import tk.mybatis.mapper.common.Mapper;

public interface TCmsMailMapper extends Mapper<TCmsMail> {
	
	List<TCmsMail> pageInbox(@Param("receiverId") Integer receiverId, @Param("theme") String theme);
	
	List<TCmsMail> pageOutbox(@Param("senderId") Integer senderId, @Param("theme") String theme);
	
	int saveList(List<TCmsMail> list);
	
	TCmsMail findByMailId(@Param("mailId") Integer mailId);
	
	int updateState(@Param("state") Integer state,@Param("mailId") Integer mailId);
	
	int AllCount(@Param("userId") Integer userId);
	
	
}