package com.sooka.mybatis.mapper;

import com.sooka.mybatis.model.TCmsXf;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface TCmsXfMapper extends Mapper<TCmsXf> {

    List<TCmsXf> selectByCondition(TCmsXf xf);

    List<TCmsXf> selectXfxx(TCmsXf xf);

    List<TCmsXf> exportExcel(@Param("startDate") String startDate,@Param("endDate") String endDate);

    @Update("update cms.t_cms_xf set result_notification = #{result_notification},state = #{state} where id = #{id}")
    int updateResultNotification(TCmsXf xf);

}