package com.sooka.mybatis.model;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Table(name = "cms.t_cms_enterprise_xzcf")
public class TCmsEnterpriseXzcf implements Serializable {

    @Id
    @Column(name = "xzcf_id")
    private Integer xzcfId;
    @Column(name="book_number")
    private String book_number;
    @Column(name="type")
    private String type;
    @Column(name="illegal_facts")
    private String illegal_facts;
    @Column(name="punishment_basis")
    private String punishment_basis;
    @Column(name="punishment_category")
    private String punishment_category;
    @Column(name="punishment_content")
    private String punishment_content;
    @Column(name="amount_of_penalty")
    private String amount_of_penalty;
    @Column(name="forfeiture_amount")
    private String forfeiture_amount;
    @Column(name="revoke_license")
    private String revoke_license;
    @Column(name="decision_date")
    private Date decision_date;
    @Column(name="punishment_organ")
    private String punishment_organ;
    @Column(name="company")
    private String company;
    @Column(name="updatedate")
    private Date updatedate;
    @Column(name = "enterprise_id")
    private Long enterpriseId;
    @Column(name="enterprise_name")
    private String enterpriseName;
    public Integer getXzcfId() {
        return xzcfId;
    }

    public void setXzcfId(Integer xzcfId) {
        this.xzcfId = xzcfId;
    }

    public String getBook_number() {
        return book_number;
    }

    public void setBook_number(String book_number) {
        this.book_number = book_number;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getIllegal_facts() {
        return illegal_facts;
    }

    public void setIllegal_facts(String illegal_facts) {
        this.illegal_facts = illegal_facts;
    }

    public String getPunishment_basis() {
        return punishment_basis;
    }

    public void setPunishment_basis(String punishment_basis) {
        this.punishment_basis = punishment_basis;
    }

    public String getPunishment_category() {
        return punishment_category;
    }

    public void setPunishment_category(String punishment_category) {
        this.punishment_category = punishment_category;
    }

    public String getPunishment_content() {
        return punishment_content;
    }

    public void setPunishment_content(String punishment_content) {
        this.punishment_content = punishment_content;
    }

    public String getAmount_of_penalty() {
        return amount_of_penalty;
    }

    public void setAmount_of_penalty(String amount_of_penalty) {
        this.amount_of_penalty = amount_of_penalty;
    }

    public String getForfeiture_amount() {
        return forfeiture_amount;
    }

    public void setForfeiture_amount(String forfeiture_amount) {
        this.forfeiture_amount = forfeiture_amount;
    }

    public String getRevoke_license() {
        return revoke_license;
    }

    public void setRevoke_license(String revoke_license) {
        this.revoke_license = revoke_license;
    }

    public Date getDecision_date() {
        return decision_date;
    }

    public void setDecision_date(Date decision_date) {
        this.decision_date = decision_date;
    }

    public String getPunishment_organ() {
        return punishment_organ;
    }

    public void setPunishment_organ(String punishment_organ) {
        this.punishment_organ = punishment_organ;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }
}
