package com.sooka.mybatis.mapper;

import com.sooka.mybatis.model.TSysRoleCategory;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author limeng
 * @date 2021年10月29日 18:10
 */
public interface TSysRoleCategoryMapper {

    int insert(TSysRoleCategory roleCategory);

    @Select("SELECT * FROM  cms.t_sys_role_category WHERE  role_id = #{roleId}")
    @ResultMap("BaseResultMap")
    List<TSysRoleCategory> selectRoleCategorysByRoleIds(@Param("roleId") String roleId);

    int deleteByRoleId(@Param("roleId") Integer roleId);

    @Select("select count(0) from cms.t_sys_role_category where  role_id =#{roleId} and category_id =#{categoryId} ")
    int findCategoryCountByRoleId(@Param("roleId") Integer roleId,@Param("categoryId") Integer categoryId);
}
