CKEDITOR.editorConfig = function( config ) {
    config.toolbarGroups = [
        { name: 'clipboard', groups: [ 'clipboard', 'undo' ] },
        { name: 'editing', groups: [ 'find', 'selection', 'spellchecker', 'editing' ] },
        { name: 'styles', groups: [ 'styles' ] },
        { name: 'others', groups: [ 'others' ] },
        { name: 'forms', groups: [ 'forms' ] },
        { name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
        { name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align', 'bidi', 'paragraph' ] },
        { name: 'links', groups: [ 'links' ] },
        { name: 'insert', groups: [ 'insert' ] },
        { name: 'document', groups: [ 'mode', 'document', 'doctools' ] },
        { name: 'tools', groups: [ 'tools' ] },
        { name: 'colors', groups: [ 'colors' ] },
        { name: 'about', groups: [ 'about' ] }
    ];
    config.extraPlugins = 'html5video';
    config.filebrowserHtml5videoUploadUrl = "/upload/CKEditorUpload";//上传视频的地址
    config.filebrowserUploadUrl="/upload/CKEditorUpload";
    config.filebrowserFlashUploadUrl="/upload/CKEditorUpload";
    config.image_previewText = ' ';//设置图片预览默认值为' '
   /* config.allowedContent = 'h1 h2 h3 p span blockquote strong em;a[!href];img(left,right)[!src,alt,width,height];table tr th td caption;p{!text-indent};span{!font-family};span{!font-size};span(!marker);del ins';*/
    config.allowedContent = true;
    config.removeButtons = 'Scayt,Anchor,PasteFromWord,PasteText,Paste,Copy,Cut,About';
    config.font_names='宋体/SimSun;新宋体/NSimSun;仿宋_GB2312/FangSong_GB2312;楷体_GB2312/KaiTi_GB2312;黑体/SimHei;微软雅黑/Microsoft YaHei;'+ config.font_names;
};
